# -*- coding: UTF-8 -*-
#! /usr/bin/env python3

# CSV attempts to take a single column list of elements in a text file and place a comma
# after each element.  The last element should not have a comma.  This should save time
# when an automated CSV solution is not available and one has to make a CSV list by hand.

import os

# read a file's string into a tuple
temptext = ()
with open('csvtemp.txt') as sourcefile:
    temptext = sourcefile.read().splitlines()


# open a destination file for the completed csv
writefile = open('csvconverted.txt', 'w')

# obtain a total count of elements in temptext
temptextcount = len(temptext)
loopcount = 1

# add a comma and new line to each element and write that line to the writefile
# if it's the last item, just write to file.
for item in temptext:
    if loopcount != temptextcount:
        item = (item + ',' + '\n')
        writefile.write(item)
    if loopcount == temptextcount:
        writefile.write(item)
    loopcount = loopcount + 1

    
#Close the open files and pause before exit
sourcefile.close()
writefile.close()
input("Press a key to exit.")
